#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# pip install datetime
# pip install requests
import os
import datetime
import requests
import re

url = 'https://www8.cao.go.jp/chosei/shukujitsu/syukujitsu.csv'
filename = 'holiday' +"{0:%Y%m%d}".format(datetime.datetime.now()) + '.csv'
lxfilename = 'lx' + filename

r = requests.get(url)
with open(filename, "wb") as f:
    f.write(r.content)
with open(lxfilename, "w", encoding='cp932') as flx:
    line = r.content.decode('cp932', "ignore")
    apptline = re.sub(r'([\d\/]{8,10}),([^\n\r]*)[\n\r]+', r'"\2","\1","00:00","00:00","","0",""\n', line, flags=re.MULTILINE)
    apptline = re.sub(r'国民の祝日・休日月日,国民の祝日・休日名称[\n\r]+', '', apptline, flags=re.MULTILINE)
    flx.write(apptline)
print('apptout -x empty.adb -i lxholidayYYYYMMDD.csv -o holiday.adb -e')